cairo-dock fails to compile with glib-2.32

Bug #992861 reported by Dustin Polke on 2012-05-01
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cairo-Dock Core

Bug Description

Cited from downstream bug [1]:
Cairo-dock- (overlay sabayon, DuPol, quarks) cannot compile with glib-2.32 with this error : /usr/include/glib-2.0/glib/gtypes.h:28:2: erreur: #error "Only <glib.h> can be included directly."

I'll attach a patch to fix this.


Dustin Polke (dupol) wrote :
Fabounet (fabounet03) wrote :

thanks for the patch ! it should compile fine now.
(and thanks for maintaining an ebuild of the latest version :-) )

Changed in cairo-dock-core:
status: New → Fix Committed
Changed in cairo-dock-core:
status: Fix Committed → Fix Released
milestone: none → 3.0.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers